Uwierzytelnianie
Wyślij klucz API jako token bearer. Ten punkt końcowy nie określa konkretnego uprawnienia w specyfikacji, więc nadaj swojemu kluczowi minimum potrzebnych uprawnień i sprawdź odpowiedź zamiast zakładać.
Ten punkt końcowy nie wymaga identyfikatora organizacji. Twój klucz już identyfikuje organizację, do której należy, a odpowiedź jest do niej ograniczona.
Wypróbuj
Zastąp wszystko w nawiasach ostrych własnymi wartościami, a zastępczy znacznik klucza kluczem ze swojego pulpitu nawigacyjnego.
curl -X GET https://api.zinndigital.com/v1/plugins/{slug} \
-H "Authorization: Bearer zdk_live_…"Zalogowany? Konsola API w Twoim panelu uzupełnia rzeczywiste identyfikator organizacji oraz Twój własny klucz i wykonuje żądanie względem aktywnego API, dzięki czemu możesz zobaczyć rzeczywistą odpowiedź. Otwórz ten punkt końcowy w konsoli API
Szczegóły
Public and unauthenticated. A plugin we publish no release of is a `404`.
Parametry
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
slug (path) | string | Tak | The plugin's directory name and text domain, e.g. `zinn-cache`. |
Odpowiedź
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
kind | string<wordpress_plugin, whmcs_module, hostbill_module, generic_client> | Tak | What this is, and therefore where it is installed. `wordpress_plugin` goes in `wp-content/plugins`; `whmcs_module` in a WHMCS install's `modules/servers/`; `hostbill_module` in… |
slug | string | Tak | The archive's directory name, e.g. `zinn-cache` or `zinn-whmcs`. |
name | string | Tak | — |
version | string | Tak | — |
package_sha256 | string | Tak | Lowercase hex SHA-256 of the archive. The value `downloadPlugin` returns in `X-Zinn-Package-SHA256`, and the one the plugin's own updater checks a download against before WordPr… |
package_bytes | integer | Tak | — |
requires_wp | string | Nie | — |
requires_php | string | Nie | — |
tested_wp | string | Nie | The WordPress version this release was installed and activated against before it was published — a real test on a real install, not an estimate. Empty means we have not stated o… |
changelog | string | Nie | — |
homepage | string | Nie | — |
distribution | string<public, app-only> | Nie | Who may download this plugin. `public` — anyone, no account needed, and it is also listed on https://zinndigital.com/wordpress-plugins. `app-only` — signed-in customers only; it… |
published_at | string | Nie | — |
Błędy, które ten punkt końcowy może zwrócić
404 · 429